/*
combination of SerialSDfixedWrite and testRC programs
settings hard coded to fit PIP
modified version of PIP write using millis()
*/

#include <Wire.h> 
#include <SoftwareSerial.h>
const int inpin1 = 0;   // analog input pin1
const int inpin2 = 1;   // analog input pin2
const int outpin = 7;   // digital output pin
long previousMillis = 0;
long interval = 199;

void setup() {
  Serial.begin(115200);
  pinMode(outpin, OUTPUT);  //digital out
  digitalWrite(outpin, LOW);
  delay(2000);
}

void loop() {
  unsigned long currentMillis = millis();
  if(currentMillis - previousMillis > interval) {
    previousMillis = currentMillis;
    if (digitalRead(outpin) == LOW)
      digitalWrite(outpin, HIGH);
    else
      digitalWrite(outpin, LOW);
  }
  Serial.print(analogRead(inpin1));
  Serial.print(",");
  Serial.println(analogRead(inpin2));
  delayMicroseconds(50);
}
